Handlebars/Mustache

24.08.2016
398 928
Handlebars and Mustache template support

Note: The plugin is a part of WebStorm IDE and you don't need install it manually for WebStorm

Download plugin

Version

Update date

18.04.2016
I'm using partials in my Handlebars templates but it seems that this plugin does not recognize them correctly. For example, if I use syntax like this: {{#> defaultLayout}} wavy red line appears in WebStorm with message: "Expected a path or @data". Does anybody know of any way how to add support for partials?
09.03.2016
grate plugin. It will be useful to have support for handlebars decorators.
Anonymous
15.04.2015
test
08.12.2014
Excellent plugin! Would be great if it could work along with .php template pages.
09.10.2014
Thanks for this great plugin! Now I can edit "text/x-handlebars-template" tags without any fuss.
26.07.2014
Great idea. Due to issues with the web-framework we're using, though, all of our templates files have a ".php" suffix. This causes the plugin to not recognize them as Handlebars templates. It would be awesome if it could key off of the 'type="text/x-handlebars-template"' tag in the script statement.
25.04.2014
Handlebars/Mustache plugin is bundled (preinstalled) with WebStorm. If you can't find it in plugin list uninstall and install WebStorm again.
Anonymous
25.04.2014
I have not this plugin pre-instaled and cant find it in 'browse repository'. WebStrorm 7 Macosx maverick
07.01.2014
Here's how I just installed the plugin into PHP Storm 7.0 on Mac: PHPStorm [Menu Bar] -> Preferences -> Plugins [under IDE Settings] -> Browse Repositories -> Search for "mustache" [Upper-right corner] -> Double click on "Handlebars/Mustache" plugin -> Choose to download and install -> Restart PHP Storm.
25.11.2013
I've just installed Handlebars/Mustache plugin in PhpStorm 7.0 (131.374). You didn't find the plugin in the repository. Or there was a problem during installation of the plugin?
Anonymous
25.11.2013
Cannot install on *PhpStorm* 7. Mustache/Handlebars is not a default option in PhpStorm 7.
20.11.2013
The plugin cannot be installed in WebStorm 7 because it comes pre-installed in that product. Simply ensure that the "Handlebars/Mustache" entry is checked on the Preferences->Plugins page.
Anonymous
19.11.2013
Cannot install on PhpStorm 7.
10.07.2013
Thanks Blaise. I see you found the Github issue for this which is great: https://github.com/dmarcotte/idea-handlebars/issues/64#issuecomment-20727165. You can also upvote this on YouTrack at http://youtrack.jetbrains.com/issue/WEB-7671, and it's probably worth following the work on allowing template language injection since that may give you another way to embed templates without custom delimiters in your Django files: http://youtrack.jetbrains.com/issue/IDEA-106449
10.07.2013
Feature request: We would like to be able to configure the Mustache tags. The tags are a configurable setting in Mustache, but not in this plugin. In our project, we changed the tags to [[ and ]], instead of the default {{ and }}, to prevent collisions with Django template tags.
Please  sign in  to leave a comment.